<?php



$sql = <<<EOF
--
-- 数据库： `demo35_xinxiuvip`
--

-- --------------------------------------------------------

--
-- 表的结构 `pre_xinxiuvip_plugin_actions`
--

CREATE TABLE `pre_xinxiuvip_plugin_actions` (
  `id` bigint(16) UNSIGNED NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `typekey` int(10) UNSIGNED DEFAULT NULL COMMENT '0key1管理key',
  `groups` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户组设置',
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `actions` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '接口方法',
  `status` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0打开1关闭',
  `islogs` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0开启1关闭',
  `snum` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '每秒调用次数',
  `hnum` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '1小时内最多调用次数',
  `dnum` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '24小时',
  `nums` bigint(16) UNSIGNED NOT NULL DEFAULT '0' COMMENT '总调用次数',
  `zjf` int(10) UNSIGNED DEFAULT NULL COMMENT '增积分',
  `kjf` int(10) UNSIGNED DEFAULT NULL COMMENT '减积分',
  `do` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0不处理、1踢下线、2封号、3封IP',
  `ips` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'IP黑名单',
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ziduan` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '返回字段',
  `remarks` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '备注',
  `moment` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '临时存储'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- 转储表的索引
--

--
-- 表的索引 `pre_xinxiuvip_plugin_actions`
--
ALTER TABLE `pre_xinxiuvip_plugin_actions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `type` (`type`),
  ADD KEY `typekey` (`typekey`),
  ADD KEY `groups` (`groups`),
  ADD KEY `status` (`status`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `pre_xinxiuvip_plugin_actions`
--
ALTER TABLE `pre_xinxiuvip_plugin_actions`
  MODIFY `id` bigint(16) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
COMMIT;

--
-- 数据库： `demo35_xinxiuvip`
--

-- --------------------------------------------------------

--
-- 表的结构 `pre_xinxiuvip_plugin_log`
--

CREATE TABLE `pre_xinxiuvip_plugin_log` (
  `id` bigint(16) UNSIGNED NOT NULL,
  `uid` smallint(5) UNSIGNED NOT NULL,
  `apikey` char(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `isapi` char(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `actions` char(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `errcode` int(3) UNSIGNED DEFAULT NULL,
  `isget` text COLLATE utf8mb4_unicode_ci,
  `ispost` text COLLATE utf8mb4_unicode_ci,
  `time` int(10) UNSIGNED DEFAULT NULL,
  `fromip` char(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `output` text COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- 转储表的索引
--

--
-- 表的索引 `pre_xinxiuvip_plugin_log`
--
ALTER TABLE `pre_xinxiuvip_plugin_log`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uid` (`uid`),
  ADD KEY `apikey` (`apikey`),
  ADD KEY `isapi` (`isapi`),
  ADD KEY `actions` (`actions`),
  ADD KEY `errcode` (`errcode`),
  ADD KEY `time` (`time`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `pre_xinxiuvip_plugin_log`
--
ALTER TABLE `pre_xinxiuvip_plugin_log`
  MODIFY `id` bigint(16) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;


--
-- 数据库： `demo35_xinxiuvip`
--

-- --------------------------------------------------------

--
-- 表的结构 `pre_xinxiuvip_plugin_plugins`
--

CREATE TABLE `pre_xinxiuvip_plugin_plugins` (
  `ids` bigint(16) UNSIGNED NOT NULL,
  `plugin_uid` int(10) UNSIGNED NOT NULL COMMENT '插件发布者uid',
  `plugin_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '插件分类',
  `plugin_title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '插件名称',
  `plugin_version` float(10,2) UNSIGNED NOT NULL COMMENT '版本号',
  `plugin_dir` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '下载目录',
  `plugin_description` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '插件简介',
  `plugin_paynums` int(10) UNSIGNED NOT NULL COMMENT '购买次数',
  `plugin_stocknums` bigint(20) UNSIGNED NOT NULL COMMENT '库存接口次数',
  `plugin_sellnums` bigint(20) UNSIGNED NOT NULL COMMENT '出售接口次数',
  `plugin_payrule` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '购买规则',
  `plugin_fileurl` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文档地址',
  `plugin_time` int(10) UNSIGNED NOT NULL COMMENT '更新时间',
  `plugin_status` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0是开1是关闭',
  `plugin_text` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '备注',
  `plugin_az` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '安装地址列表',
  `plugin_xz` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '下载地址列表',
  `plugin_sb` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '失败地址列表',
  `plugin_actions` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '接口文档',
  `plugin_license` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '插件授权'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- 转储表的索引
--

--
-- 表的索引 `pre_xinxiuvip_plugin_plugins`
--
ALTER TABLE `pre_xinxiuvip_plugin_plugins`
  ADD PRIMARY KEY (`ids`),
  ADD KEY `plugin_sellnums` (`plugin_sellnums`),
  ADD KEY `plugin_paynums` (`plugin_paynums`),
  ADD KEY `plugin_status` (`plugin_status`),
  ADD KEY `plugin_stocknums` (`plugin_stocknums`) USING BTREE,
  ADD KEY `plugin_dir` (`plugin_dir`) USING BTREE,
  ADD KEY `plugin_version` (`plugin_version`) USING BTREE,
  ADD KEY `plugin_title` (`plugin_title`) USING BTREE,
  ADD KEY `plugin_type` (`plugin_type`) USING BTREE,
  ADD KEY `plugin_uid` (`plugin_uid`) USING BTREE;

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `pre_xinxiuvip_plugin_plugins`
--
ALTER TABLE `pre_xinxiuvip_plugin_plugins`
  MODIFY `ids` bigint(16) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;



EOF;


@runquery($sql);


$finish = TRUE;

?>
